### Signal

# Gtk Application::save-state

unstable since: 4.24

#### Declaration

    gboolean
    save_state (
      GtkApplication* self,
      GVariantDict* dict,
      gpointer user_data
    )

#### Description [src]

Emitted when the application is saving global state.

The handler for this signal should persist any global state of `application` into `dict`.

See `GtkApplication::restore-state` for how to restore global state, and `GtkApplicationWindow::save-state` and `GtkApplication::restore-window` for handling per-window state.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.24

#### Parameters

`dict`

  Type: `GVariantDict`

  A dictionary to populate with application state.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True to stop further handlers from running.